import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () =>
      import('./tabs/tabs.module').then((m) => m.TabsPageModule),
  },
  {
    path: 'issue-book-modal',
    loadChildren: () =>
      import('./modals/issue-book-modal/issue-book-modal.module').then(
        (m) => m.IssueBookModalPageModule,
      ),
  },
  {
    path: 'new-user-modal',
    loadChildren: () =>
      import('./modals/new-user/new-user-modal.module').then(
        (m) => m.NewUserModalPageModule,
      ),
  },
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules }),
  ],
  exports: [RouterModule],
})
export class AppRoutingModule {}
