import { Component, Input, ViewChild } from '@angular/core';
import { IonModal } from '@ionic/angular';
import { StorageService } from '../../services/storage/storage.service';

@Component({
  selector: 'app-new-user-modal',
  templateUrl: './new-user-modal.page.html',
  styleUrls: ['./new-user-modal.page.scss'],
})
export class NewUserModalPage {
  @ViewChild(IonModal) modal: IonModal | undefined;
  @Input() trigger!: string;

  public fio: string = '';

  constructor(private storage: StorageService) {}

  cancel() {
    this.modal?.dismiss(null, 'cancel');
  }

  addUser() {
    this.storage.init().then(() => {
      this.storage.addUser(this.fio).then(() => {
        this.modal?.dismiss(null, 'cancel');
      });
    });
  }

  onWillDismiss(event: Event) {}

  protected readonly open = open;
}
