import { Component, OnInit } from '@angular/core';
import {
  readerUser,
  StorageService,
} from '../../services/storage/storage.service';

@Component({
  selector: 'app-users-page',
  templateUrl: 'users.page.html',
  styleUrls: ['users.page.scss'],
})
export class UsersPage implements OnInit {
  public users: Array<readerUser> = [];

  constructor(private storage: StorageService) {}

  ngOnInit() {
    this.storage.init().then(() => {
      this.storage.getReaderUsers().then((users) => {
        this.users = users;
      });
    });
  }

  refresh() {
    this.ngOnInit();
  }

  getDate(dateNumber: number) {
    const date = new Date(dateNumber);
    return date.toLocaleDateString();
  }

  protected readonly Date = Date;
}
