import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'search',
        loadChildren: () =>
          import('./SearchPage/search.module').then((m) => m.SearchPageModule),
      },
      {
        path: 'users',
        loadChildren: () =>
          import('./UsersPage/users.module').then((m) => m.Tab2PageModule),
      },
      {
        path: 'rent',
        loadChildren: () =>
          import('./RentPage/rent.module').then((m) => m.RentPageModule),
      },
      {
        path: '',
        redirectTo: '/tabs/search',
        pathMatch: 'full',
      },
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/search',
    pathMatch: 'full',
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
})
export class TabsPageRoutingModule {}
